<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 02/02/2004 *
 * ================                             Last change: 11/26/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : action-online.php                                *
 * -------------------------------------------------------------------- *
 * Short description : Who is where? (DO NOT add sub menus!)            *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Wer ist wo? (KEINE Untermenues anhaengen!)       *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), '/inc') + 4) . '/security.php';
	require($INC);
} elseif ((!EXT_IS_ACTIVE('online')) && (!IS_ADMIN())) {
	// Just skip this extension
	return;
}

// Total visitors online
$total = GET_TOTAL_DATA('', 'online', 'id', 'userid', true);

if (getConfig('mad_count') < $total) {
	// Update counter
	updateConfiguration(array('mad_timestamp', 'mad_count'), array(time(), $total));
} // END - if

// Prepare content
$content = array(
	'guests'  => translateComma(GET_TOTAL_DATA('N', 'online', 'id', 'is_admin', true, " AND `is_member`='N'")),
	'members' => translateComma(GET_TOTAL_DATA('N', 'online', 'id', 'is_admin', true, " AND `is_member`='Y'")),
	'admins'  => translateComma(GET_TOTAL_DATA('Y', 'online', 'id', 'is_admin', true)),
	'total'   => translateComma($total)
);

// Output table
LOAD_TEMPLATE('online_now', false, $content);

// Add more links in this block
runFilterChain('online_extra_links');

//
?>
